Package net.shibboleth.idp.attribute.resolver.dc.scripted.impl

# Class ScriptedMappingStrategy

java.lang.Object
net.shibboleth.idp.attribute.resolver.dc.scripted.impl.ScriptedMappingStrategy

All Implemented Interfaces:
  `MappingStrategy<Map<String,IdPAttribute>>`

public class ScriptedMappingStrategy extends Object implements MappingStrategy<Map<String,IdPAttribute>>
A null mapping strategy for the `ScriptedDataConnector`.

## Constructor Summary

Constructors
Constructor
Description
`ScriptedMappingStrategy()`

## Method Summary

Modifier and Type
Method
Description
`Map<String,IdPAttribute>`
`map(Map<String,IdPAttribute> results)`
Maps the given results to a collection of `IdPAttribute` indexed by the attribute's ID.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScriptedMappingStrategy

public ScriptedMappingStrategy()

## Method Details

### map

public Map<String,IdPAttribute> map(@Nonnull Map<String,IdPAttribute> results) throws ResolutionException
Maps the given results to a collection of `IdPAttribute` indexed by the attribute's ID.

Specified by:
  `map` in interface `MappingStrategy<Map<String,IdPAttribute>>`
Parameters:
  `results` - to map
Returns:
  the mapped attributes or null if none exist
Throws:
  `ResolutionException` - thrown if there is a problem reading data or mapping it